> ## Documentation Index
> Fetch the complete documentation index at: https://docs-model.skyengine.com.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/videos/{video_id}/content

> 下载已完成的视频文件内容



## OpenAPI

````yaml GET /v1/videos/{video_id}/content
openapi: 3.1.0
info:
  title: TokenOps AI API
  description: TokenOps AI API 提供了强大的AI服务能力，包括聊天对话、Gemini模型集成等功能。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://model-api.skyengine.com.cn
    description: TokenOps AI API 生产环境
security: []
paths:
  /v1/videos/{video_id}/content:
    get:
      summary: 获取视频内容
      description: 下载已完成的视频文件内容
      operationId: getVideoContent
      parameters:
        - name: video_id
          in: path
          required: true
          description: 视频ID
          schema:
            type: string
            example: video_123456789
      responses:
        '200':
          description: 成功获取视频内容
          content:
            video/mp4:
              schema:
                type: string
                format: binary
                description: 视频文件的二进制数据
            application/json:
              schema:
                $ref: '#/components/schemas/VideoContentResponse'
        '400':
          description: 客户端错误（包括请求参数错误、API密钥无效等）
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OpenAIAuth: []
components:
  schemas:
    VideoContentResponse:
      type: object
      properties:
        video_url:
          type: string
          description: 视频内容的直接下载链接
          example: https://cdn.tokenops.ai/videos/video_123456789.mp4
        expires_at:
          type: integer
          format: int64
          description: 下载链接过期时间戳
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Status'
          description: 错误信息
    Status:
      type: object
      properties:
        code:
          type: integer
          description: 错误代码
        message:
          type: string
          description: 错误消息
        details:
          type: array
          description: 错误详情
          items:
            type: object
            additionalProperties: true
  securitySchemes:
    OpenAIAuth:
      type: http
      scheme: bearer
      description: >-
        OpenAI API密钥认证。在 `Authorization` HTTP Header 中包含您的 API-Key，格式为 `Bearer
        {API_KEY}`

````